<?php
include('../conexion.php'); 
include ("../funciones/fechas.php"); 
date_default_timezone_set('America/Costa_Rica');


session_start();

	 $usu=$_SESSION['username'];
	
	
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];
$cdgven = $row["codusu"];
		
 		
		
		
 $accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$cliexe=$_POST["cliexento"];
$cdgven=$_POST["vendedor"];
 $codfactura=$_POST["codfactura"];
 $codfacturatmp=$_POST["codfacturatmp"];
$cdgcli=$_POST["cdgcli"];
 $dsccli=strtoupper($_POST["dsccli"]);
$mesa=strtoupper($_POST["codfacturatmp"]);
$tipo_mesa = substr($mesa, 0, -3);  // devuelve los tres primero caracteres 
 
 
 
 
 
 
 
 if (!isset($_POST["cedcli"])) { $cedcli=""; } else  { $cedcli=$_POST["cedcli"]; }
 if (!isset($_POST["remito"])) { $remito=""; } else  { $remito=$_POST["remito"]; }
 if (!isset($_POST["combotipoventa"])) { $cdgtipven="1";  } else  {  $cdgtipven=$_POST["combotipoventa"];  }
 if (!isset($_POST["descuento"])) { $descuento=""; } else  { $descuento=$_POST["descuento"]; }
 
 

$hora =$_POST["horped"];
$fecha=$_POST["fecha"];
$cob_iv=$_POST["cob_iv"];

$numfactura=$_POST["numfactura"];

$vehpla=$_POST["vehpla"];
$kmsveh=$_POST["kmsveh"];
$obsped=$_POST["obsped2"];
$saldo_anterior=$_POST["salact"];

$minimo=0;


 $total2=$_POST["total2"];
$total2 = str_replace  (",","",$total2);
 



$efectivo=$_POST["efectivo2"];
if ($efectivo  > 0) { $medpago="01";  }
$efectivo = str_replace  (",","",$efectivo);
$efectivo = str_replace  ("₡","",$efectivo);


$dolares=$_POST["dolares2"];
if ($dolares > 0) { $medpago="01";  }
$dolares = str_replace  (",","",$dolares);
$dolares = str_replace  ("$","",$dolares);
 

$tarjetas=$_POST["tarjetas2"];
if ($tarjetas  > 0) { $medpago="02";  }
$tarjetas = str_replace  (",","",$tarjetas);
$tarjetas = str_replace  ("₡","",$tarjetas);

$cheques=$_POST["cheques2"];
if ($cheques  > 0) { $medpago="03";  }
$cheques = str_replace  (",","",$cheques);
$cheques = str_replace  ("₡","",$cheques);

$depositos=$_POST["depositos2"];
if ($depositos  > 0) { $medpago="04";  }
$depositos = str_replace  (",","",$depositos);
$depositos = str_replace  ("₡","",$depositos);


$pagacon2=$_POST["pagacon2"]; 
$pagacon = str_replace  (",","",$pagacon2);



$tipcamdol=$_POST["tipcamdol2"];




/////////////////////////////////////////////////////////////////    revisa si existen lienas en el temporal o si se borraron por desconexion //////////////////////////////////////////////////////////////////

if ($result_temporal = $mysqli->query("SELECT * FROM pedidos_lineastmp WHERE codfactura='$codfacturatmp'  ")) {
   $filas_temporal = $result_temporal->num_rows;
   $result_temporal->close();
}


if ($filas_temporal > 0 )  {



	 
	 	$query_parametros = "SELECT * FROM web_0000 ";
	$rs_query_parametros = $mysqli->query($query_parametros);
	$filas_parametros = $rs_query_parametros->fetch_array();

		 $cdgdis = $filas_parametros["cdgdis"];
		 $numped = $filas_parametros["numped"];
		 $tipcamdol = $filas_parametros["tipcamdol"];


	
		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;
		$totmerexo=0;
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
	
if ($accion=="alta") {
 if ($cdgtipven == 2) {
	 //************************************************ Seleción del plazo del cliente *********************************
		$query_plazo="SELECT cdgpla,salact FROM web_0301 WHERE cdgcli='$cdgcli'";
		
			$rs_query_plazo = $mysqli->query($query_plazo);
			$filas_query_plazo = $rs_query_plazo->fetch_array();
	
		$saldo_actual = $filas_query_plazo["salact"];
	    $pladia = $filas_query_plazo["cdgpla"];
		


// calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );
	
		
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
	   $vencimiento= "+".$pladia." day" ;

		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );
	
    }



 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////

	$consulta = "DELETE FROM pedidos WHERE codfactura ='$codfactura'";
	$mysqli->query($consulta);

	$query_operacion="INSERT INTO pedidos (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento, cdgcaj, horfac, codpedidotmp , cliexe, obsped ) VALUES ('$codfactura', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$hora','$codfacturatmp' ,'$cliexe', '$obsped')";				
		$mysqli->query($query_operacion);



	$consulta2 = "DELETE FROM pedidos_lineas WHERE codfactura ='$codfactura '";
	$mysqli->query($consulta2);

	
	//if ($rs_operacion) { $mensaje="Factura Completa"; }
	

	
		$query_tmp="SELECT * FROM pedidos_lineastmp WHERE codfactura='$codfacturatmp'  ORDER BY numlinea ASC";
		$contador=0;
	$baseimponible=0;
	
	if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila2 = $resultado2->fetch_assoc()) {

		$numlinea = $fila2["numlinea"];
        $codigo = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];	
	    $importe = $fila2["importe"];
	    $impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$dcto= $fila2["dcto"];
		
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
			$preciototal=round($preciototal);
		 
			$query_costos="SELECT cosart,COB_IV,CDGFAM,CDGLIN, DESFAC FROM web_1001 WHERE cdgbar='$codigo'";
			$resultado = $mysqli->query($query_costos);
			$row = $resultado->fetch_array();
				$cosart = $row["cosart"];
				$desart = $row["DESFAC"];
				$cob_iv = $row["COB_IV"];
				$cdgfam = $row["CDGFAM"];
				$cdglin = $row["CDGLIN"];   
				$des_articulo= ( $cosart * $desart)/100;
				$cosart= $cosart - $des_articulo;

	
		$sel_insertar="INSERT INTO pedidos_lineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$mysqli->query($sel_insertar);		

	}
	 
	  
	 
	 $consulta3 = "DELETE FROM pedidos_lineastmp  WHERE codfactura ='$codfacturatmp'";
		$mysqli->query($consulta3);
	


	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);

	$sel_act="UPDATE pedidos SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);

	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
}		

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$ipAddress=$_SERVER['REMOTE_ADDR'];
$macAddr=false;

#run the external command, break output into lines
$arp=`arp -a $ipAddress`;
$lines=explode("\n", $arp);

#look for the output line describing our IP address
foreach($lines as $line)
{
   $cols=preg_split('/\s+/', trim($line));
   if ($cols[0]==$ipAddress)
   {
  echo     $macAddr=$cols[1];
   }
}
///////////////////////////////////////    vaciamos en la tabla pago parcial ///////////////////////////////////////////////////////////////////

 $ip = $_SERVER['REMOTE_ADDR'] ;
 
//  
//if ($ip=="127.0.0.1"){   ///// SI ES LA MAQUINA PRINCIPAL USA LA TABLA PAGO PARCIAL 11
//
//  	$consulta1 = "DELETE FROM pagos_parciales_lineas ";
//	$mysqli->query($consulta1);	
//  
//  } else { ////CIERRA SI ES LA MAQUINA PRINCIPAL ..
//
//    	$consulta1 = "DELETE FROM pagos_parciales_lineas2 ";
//		$mysqli->query($consulta1);	
//  
//  }  /// cierra el condicional maquina 
//  
//  
  
  /////////////////////////////////////////////    mejora seleccion direccion mac tablet     ///////////////////////////
  
  if ($macAddr=="94-be-46-9b-77-73"){   ///// SI ES LA MAQUINA PRINCIPAL USA LA TABLA PAGO PARCIAL 

  	$consulta1 = "DELETE FROM pagos_parciales_lineas3 ";
	$mysqli->query($consulta1);	

  
  } elseif ($macAddr=="94-be-46-b5-4f-8b") { ////CIERRA SI ES LA MAQUINA PRINCIPAL ..

    	$consulta1 = "DELETE FROM pagos_parciales_lineas2 ";
		$mysqli->query($consulta1);	

  
  }else {    /// SERVER 
  
      	$consulta1 = "DELETE FROM pagos_parciales_lineas";
		$mysqli->query($consulta1);	
  
 
   }
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
  
  	$query_tmp="SELECT * FROM pedidos_lineas WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
		$contador=0;
		$baseimponible=0;
	
	if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila3 = $resultado2->fetch_assoc()) {
 
	$contador=0;
	$baseimponible=0;
	
	    $numlinea = $fila3["numlinea"];
        $codigo = $fila3["codigo"];
        $dscart = $fila3["dscart"];
		$cantidad = $fila3["cantidad"];
		$preivi = $fila3["preivi"];	
	    $importe = $fila3["importe"];
	    $impuesto = $fila3["impuesto"];
		$dcto= $fila3["dcto"];
		$mondes = $fila3["mondes"];
		$cosart = $fila3["cosart"];

	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
			$preciototal=round($preciototal);
		 
	    $query_costos="SELECT cosart,COB_IV,CDGFAM,CDGLIN FROM web_1001 WHERE cdgbar='$codigo'";
	
       $resultado = $mysqli->query($query_costos);
       $row = $resultado->fetch_array();
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 

$ip = $_SERVER['REMOTE_ADDR'] ;

  if ($macAddr=="94-be-46-9b-77-73"){   ///// PRIMERA TABLET
	
		$sel_insertar2="INSERT INTO pagos_parciales_lineas3 (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,chkpag, chktic, chkcom) VALUES 
		('$codfacturatmp','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin',1,1,1)";
		$mysqli->query($sel_insertar2);	



 } elseif ($macAddr=="94-be-46-b5-4f-8b") { ////SEGUNDA TABLET 
 
 

		$sel_insertar2="INSERT INTO pagos_parciales_lineas2 (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,chkpag, chktic, chkcom) VALUES 
		('$codfacturatmp','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin',1,1,1)";
		$mysqli->query($sel_insertar2);		
		
		
   }else {    /// cierra el condicional maquina 
   
   
   		$sel_insertar2="INSERT INTO pagos_parciales_lineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,chkpag, chktic, chkcom) VALUES 
		('$codfacturatmp','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin',1,1,1)";
		$mysqli->query($sel_insertar2);	
		
		
  
  }  /// cierra el condicional maquina 
  

	}
	 


?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		
		
function seleccionar()
{

	  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("chksel");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }


document.getElementById("frame_datos4").src="seleccionar.php?chksel="+resultado;
	//location.href="actualizar_articulo_pagos.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;

}

		function comanda(){
			
				var codfactura = document.getElementById("codfactura").value;	
				var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
			
		window.open("../fpdf/imprimir_comanda_TERMICA.php?codfactura="+codfactura+"&tipimp="+1);
		
	    }else {
		
		alert("Favor verifique debe elegir al menos un producto para imprimir la COMANDA")

}	}	


		function comanda2(){
			
				var codfactura = document.getElementById("codfactura").value;	
				var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
			
		window.open("../fpdf/imprimir_comanda_TERMICA.php?codfactura="+codfactura+"&tipimp="+2);
		
	    }else {
		
		alert("Favor verifique debe elegir al menos un producto para imprimir la COMANDA")

}	}	

		
		
		function pagar(){
		
		var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
			
		
			
				var filas=document.getElementById("filas").value;	
				
				if (filas > 0 ){
			
			
				var codigo=document.getElementById("cdgcli").value;	
				var cliexento=document.getElementById("cliexento").value;
				var cdgtipexo=document.getElementById("cdgtipexo").value;
				
				if(codigo != 9999){
		   //      miPopup = window.open("comprobarcliente2.php?cdgcli="+codigo,"frame_datos5","width=900,height=90,scrollbars=yes");
				}
			                var mensaje = "";
                if (document.getElementById('cliexento').value == 2) {

                    if (document.getElementById("cdgtipexo").value == "") mensaje+="  - Exoneracion \n"; 
					 if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; 
			        if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n";
             }   
			
				//var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";

	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
					
					document.getElementById(enfoque).select();
			} else {
		
			var combotipoventa = document.getElementById("combotipoventa").value;	
	

			
		if (  combotipoventa == 1 ){
		
		document.forms.formulario_lineas.action="pagar.php";
		document.getElementById("formulario_lineas").submit();
			
	
	    }else {
		
		combotipoventa.disabled=false;
		dsccli.disabled=false;
		document.forms.formulario_lineas.action="convertir_pedido.php";
		document.getElementById("formulario_lineas").submit();

		}
			
			}	
			
			
		 } else {
		 
		 
		 		alert("Favor verifique la mesa ya no posee articulos para cobrar ");
			
			
			}
			
			    }else {
		
		alert("Favor verifique debe elegir al menos un producto para ser facturado ")

}		
			}	
			
		
		
		
		
		
		
		
			function pagar2(){
		
		var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
			
		
			
				var filas=document.getElementById("filas").value;	
				
				if (filas > 0 ){
			
			
				var codigo=document.getElementById("cdgcli").value;	
				var cliexento=document.getElementById("cliexento").value;
				var cdgtipexo=document.getElementById("cdgtipexo").value;
				
				if(codigo != 9999){
		   //      miPopup = window.open("comprobarcliente2.php?cdgcli="+codigo,"frame_datos5","width=900,height=90,scrollbars=yes");
				}
			                var mensaje = "";
                if (document.getElementById('cliexento').value == 2) {

                    if (document.getElementById("cdgtipexo").value == "") mensaje+="  - Exoneracion \n"; 
					 if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; 
			        if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n";
             }   
			
				//var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";

	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
					
					document.getElementById(enfoque).select();
			} else {
		
			var combotipoventa = document.getElementById("combotipoventa").value;	
	

			
		if (  combotipoventa == 1 ){
		
		document.forms.formulario_lineas.action="pagar2.php";
		document.getElementById("formulario_lineas").submit();
			
	
	    }else {
		
		combotipoventa.disabled=false;
		dsccli.disabled=false;
		document.forms.formulario_lineas.action="convertir_pedido2.php";
		document.getElementById("formulario_lineas").submit();

		}
			
			}	
			
			
		 } else {
		 
		 
		 		alert("Favor verifique la mesa ya no posee articulos para cobrar ");
			
			
			}
			
			    }else {
		
		alert("Favor verifique debe elegir al menos un producto para ser facturado ")

}		
			}	
			
			
			
			
				
	
		function ticket(){
	
	var total = document.getElementById("total").value;	
	var total_con_impser = document.getElementById("total_con_impser").value;	
	var impser = document.getElementById("impser").value;	
	var codfactura = document.getElementById("codfactura").value;	
	var cdgcli = document.getElementById("cdgcli").value;	
	var dsccli = document.getElementById("dsccli").value;	
	var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
		
			
		window.open("../fpdf/imprimir_ticket_TERMICA.php?codfactura="+codfactura+"&cdgcli="+cdgcli+"&dsccli="+dsccli+"&total="+total+"&total_con_impser="+total_con_impser+"&impser="+impser+"&tipimp="+1);

	    }else {
		
		alert("Favor verifique debe elegir al menos un producto para imprimir el TICKET ")

}		

}		



		function ticket2(){
	
	var total = document.getElementById("total").value;	
	var total_con_impser = document.getElementById("total_con_impser").value;	
	var impser = document.getElementById("impser").value;	
	var codfactura = document.getElementById("codfactura").value;	
	var cdgcli = document.getElementById("cdgcli").value;	
	var dsccli = document.getElementById("dsccli").value;	
	var total_con_impser = document.getElementById("total_con_impser").value;	
		
		if ( total_con_impser != 0.00 ){
		
			
		window.open("../fpdf/imprimir_ticket_TERMICA.php?codfactura="+codfactura+"&cdgcli="+cdgcli+"&dsccli="+dsccli+"&total="+total+"&total_con_impser="+total_con_impser+"&impser="+impser+"&tipimp="+2);

	    }else {
		
		alert("Favor verifique debe elegir al menos un producto para imprimir el TICKET ")

}		

}	





		function buscar(){
				document.forms.formulario_lineas.action="frame_lineas_comanda.php";
				document.getElementById("formulario_lineas").submit(); 		

}		



		function inicio(){
 
    ///document.getElementById("cdgcli").focus();
	document.forms.formulario_lineas.action="frame_lineas_comanda.php";
	document.getElementById("formulario_lineas").submit(); 
	
	//if (document.getElementById("cdgcli").value != "9999") {  validarcliente() ;} 

}		




	
		
		
		
			function validar_cabecera2(){

			var codigo=document.getElementById("cdgcli").value;	

					miPopup = window.open("comprobarcliente2.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
					
		
			
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  -  Codigo del Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total=document.getElementById("total_verificar").value;
					
					
						
						saldofinal=limcre-salact;
						
						if (   total  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				
						} else {
							
				 combotipoventa.disabled=false;
				 dsccli.disabled=false;
				 document.forms.formulario_lineas.action="Pagar555.php";  
					document.getElementById("formulario_lineas").submit();
					}
				
				} else {
				
				 combotipoventa.disabled=false;
		         dsccli.disabled=false;
				 document.forms.formulario_lineas.action="convertir_pedido.php";  
				document.getElementById("formulario_lineas").submit();
				}
				
				
				
				}
				
			}	


function validar_cabecera22(){

			var codigo=document.getElementById("cdgcli").value;	

					miPopup = window.open("comprobarcliente2.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
					
		
			
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  -  Codigo del Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total=document.getElementById("total_verificar").value;
					
					
						
						saldofinal=limcre-salact;
						
						if (   total  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				
						} else {
							
				 combotipoventa.disabled=false;
				 dsccli.disabled=false;
				 document.forms.formulario_lineas.action="Pagar555.php";  
					document.getElementById("formulario_lineas").submit();
					}
				
				} else {
				
				 combotipoventa.disabled=false;
		         dsccli.disabled=false;
				 document.forms.formulario_lineas.action="convertir_pedido2.php";  
				document.getElementById("formulario_lineas").submit();
				}
				
				
				
				}
				
			}	

	function abreVentana(){

		
			miPopup = window.open("ver_clientes2.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		
	
		document.getElementById("cdgbar").focus();
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="1.00";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";
		
	 
			}	



	function validarcliente(){
		
	var codigo=document.getElementById("cdgcli").value;
		//	var filas=document.getElementById("filas").value;	
	
		
			miPopup = window.open("comprobarcliente2.php?cdgcli="+codigo,"frame_datos6","width=900,height=90,scrollbars=yes");
			miPopup.focus();

	
		}	
		


function chequear(){
	
    var cdgcli=document.getElementById("cdgcli").value;
	
	if (cdgcli.value != "9999"){
		combotipoventa.disabled=false;	
		dsccli.disabled=true;
		//cedcli.disabled=true;
		
	} else {
		combotipoventa.disabled=true;
		dsccli.disabled=false;
		//cedcli.disabled=false;	
	}
}




function chequea(cdgcli,combotipoventa,dsccli){
	if (cdgcli.value != "9999"){
		combotipoventa.disabled=false;	
		dsccli.disabled=true;
		
	} else {
		combotipoventa.disabled=true;
		dsccli.disabled=false;
		//cedcli.disabled=false;	
	}
}



function vencido2(vencido) {

   		if  (vencido == 1) {
    		alert ("Cliente posee SALDO VENCIDO , no es permitido realizar compras a credito");
			document.getElementById("combotipoventa").value=1;
  			 }

					}
 
 


		function cancelar() {
			
			location.href="index.php";
		}
		
		function valorexento()	 {		

			var cliexento=document.getElementById("cliexento").value;
			document.getElementById("cliexe2").value=cliexento;
				document.forms.formulario_lineas.action="frame_lineas_comanda.php";
				document.getElementById("formulario_lineas").submit(); 
			

		}
	
	
		
	
		
 function  habilitarexento()     {
 
 	var cliexento=document.getElementById("cliexento").value;
	
	if ( cliexento == 2 ) {
		
	    cdgtipexo.disabled=false; 
		numdocexo.disabled=false;
		nominstexo.disabled=false;

		 } else  {
		
	    cdgtipexo .disabled=true; 
		numdocexo.disabled=true; 
		nominstexo.disabled=true; 
	    document.getElementById("cdgtipexo").value="";
		document.getElementById("numdocexo").value="";
		document.getElementById("nominstexo").value="";

			}
	
        }
		
			function aplicar_descuento()	 {		

			var codigo=document.getElementById("destot").value;
	
			if (destot=="") {
				alert ("El monto del descuento no puede ser 0.00");
	
				} else {
					
					if (confirm(" Desea aplicar el descuento a todas las lineas ? "))
				var codfacturatmp=document.getElementById("codfacturatmp").value;
				var destot=document.getElementById("destot").value;
			miPopup = window.open("aplicar_descuento_comanda.php?codfacturatmp="+codfacturatmp+"&destot="+destot+"&cliexento="+cliexento, "frame_datos5","width=900,height=90,scrollbars=yes");
				
	
						}
				}
				
		
				
		</script>
		

		
		
<?php 
		
	
//echo "<script>";
//echo "imprimir($codfactura);";
//echo "</script>";	



?>
</head>
<link href="assets/css/bootstrap.css" rel="stylesheet" type="text/css">
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="">
			   <div align="center">
			     <form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_final.php" target="frame_lineas"> 
				 
                <input id="codfactura"    name="codfactura"   value="<?php echo $codfacturatmp ?>"  type="hidden" />
				 <input id="codfacturatmp"    name="codfacturatmp"   value="<?php echo $codfactura ?>"  type="hidden" />
				<input id="numlinea"    name="numlinea"   value=""  type="hidden" />
				<input id="aplica"    name="aplica"   value=""  type="hidden" />
				
				
						     <input name="vuelto2"  id="vuelto2"   type="hidden">
					        <input name="pagacon2"  id="pagacon2"    type="hidden">
					        <input name="efectivo2"  id="efectivo2"   type="hidden">
					        <input name="depositos2" id="depositos2"   type="hidden">
					        <input name="cheques2"  id="cheques2"   type="hidden">
					        <input name="tarjetas2"  id="tarjetas2"   type="hidden">
					        <input name="dolares2"  id="dolares2"    type="hidden">
					        <input name="tipcamdol"  id="tipcamdol" value="<?php echo $tipcamdol?>"   type="hidden">
                            <input id="cliexe2" name="cliexe2" value="1"  type="hidden" >
							
<!--							<input NAME="cliexento" class="cajaMedia" id="cliexento"  value=""  type="hidden" >-->
							<input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
							<input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
                            <input id="vencido" name="vencido" value=""  type="hidden" >
							<?php  $filas=1?>
							<input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >

			    <br> 
			    </br>
			    <table width="883" border="0">
                      <tr>
                        <td colspan="3" class="existencia_positiva" >COMANDA</td>
                        <td colspan="2" class="existencia_positiva"  >TICKET</td>
                        <td width="162" class="existencia_positiva"  >PAGAR</td>
                        <td width="47" class="existencia_negativa">CANT.</td>
                        <td width="247" class="existencia_negativa">DESCRIPCION</td>
                        <td width="100" class="existencia_negativa">TOTAL<span>
                    
                      <input  type="checkbox" id="chksel" name="chksel"  value="1"  onClick="seleccionar()"  onChange="seleccionar()" checked >                      </tr>
                      <tr>
                        <td class="buttonmensaje"><div align="center">COCINA</div></td>
                        <td class="buttonmensaje"><div align="center">SALON</div></td>
                        <td width="1">&nbsp;</td>
                        <td width="63" class="buttonmensaje"><div align="center">COCINA</div></td>
                        <td width="82" class="buttonmensaje"><div align="center">SALON</div></td>
                        <td width="162" rowspan="2">
<?php 						
$ip = $_SERVER['REMOTE_ADDR'] ;
if ($ip=="127.0.0.1"){ ?>  
						<img onClick="pagar()" src="../img/cash_register.ico" alt="Convertir"   width="128" height="128" >
<?php } ?>						</td>
                        <td colspan="3" rowspan="14"><iframe align="left" width="100%" height="420" id="frame_lineas" name="frame_lineas" frameborder="0">
                        <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer>
                        </iframe></td>
                      </tr>
                      <tr>
                        <td><div align="center"><span><span><img  src="../img/Printer_Icon_64.png" alt="2" width="64" height="64"  onClick="comanda()"></span></span></div></td>
                        <td><div align="center"><span><span><span><span><span><img  onClick="comanda2()"  src="../img/Printer_Icon_64.png" width="64" height="64"></span></span></span></span></span></div></td>
                        <td>&nbsp;</td>
                        <td><div align="center"><span><span><img  onClick="ticket()" src="../img/punto_venta.fw.png" width="64" height="64"></span></span></div></td>
                        <td><div align="center"><span><span><span ><span><img src="../img/punto_venta.fw.png" alt="2" width="64" height="64"  onClick="ticket2()"></span></span></span></span></div></td>
                      </tr>
                      
                      <tr>
                        <td colspan="3">TIPO DE VENTA </td>
                        <td colspan="2"><select id="combotipoventa" name="combotipoventa" class="comboGrande" onChange="redireccionar(this);"  disabled autofocus>
                          <?php
					  	$tipo="SELECT * FROM tipoventa ";
                        $res_tipoventa = $mysqli->query($tipo) ;
						$contador=0;
					  ?>
                          <?php
								while ($fila = $res_tipoventa->fetch_assoc()) { 
									if ($cdgtipven == $fila["cdgtipven"] ) { ?>
									
                          <option value="<?php echo $fila["cdgtipven"]?>" selected="selected"><?php echo $fila["dsctipven"]?></option>
                          <?php } else { ?>
                          <option value="<?php echo $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                          <?php } //$contador++;
								} ?>
                        </select></td>
                        <td rowspan="6"><div align="center">
						
						<?php 						
$ip = $_SERVER['REMOTE_ADDR'] ;
if ($ip=="127.0.0.1"){ ?>  
							
							
<?php } ?>
					</div></td>
                      </tr>
                      <tr>
                        <td colspan="3">MESA N° </td>
                        <td colspan="2"><input readonly id="mesa"  style='text-align:center;' class="cajaGrande"  name="mesa" value="<?php echo $mesa ?>"  type="text" ></td>
                      </tr>
                      <tr>
                        <td colspan="3">SUBTOTAL</td>
                        <td colspan="2"><input readonly id="subtotal"  style='text-align:right;'  class="cajaGrande"  name="subtotal" value="<?php echo number_format(0,2,".",",")?>"  type="text" ></td>
                      </tr>
                      <tr>
                        <td colspan="3">DESCUENTO</td>
                        <td colspan="2"><input id="descuento2"  readonly style='text-align:right;'  class="cajaGrande"  name="descuento2" value="<?php echo number_format(0,2,".",",")?>"  type="text" ></td>
                      </tr>
                      <tr>
                        <td colspan="3">IMPUESTO</td>
                        <td colspan="2"><input id="imp" readonly  style='text-align:right;' class="cajaGrande"  name="imp" value="<?php echo number_format(0,2,".",",")?>"  type="text" ></td>
                      </tr>
                      <tr>
                        <td colspan="3">TOTAL</td>
                        <td colspan="2"><input id="total" readonly  style='text-align:right;'  class="cajaGrande"  name="total" value="<?php echo number_format($preciotot,2,".",",")?>"  type="text" ></td>
                      </tr>
                      <tr>
                        <td colspan="5">&nbsp;</td>
                        <td>&nbsp;</td>
                      </tr>
                      <tr>
                        <td colspan="3">IMP. SERVICIO </td>
             
					    <td colspan="2"><input id="impser" readonly  style='text-align:right;'  class="cajaGrande"  name="impser" value="<?php echo number_format($impser,2,".",",")?>"  type="text" ></td>
                        <td>&nbsp;</td>
                      </tr>
                      <tr>
    <td colspan="3">MONTO</td>
                        <td colspan="2"><input id="total_con_impser" readonly  style='text-align:right;'  class="cajaGrande"  name="total_con_impser" value="<?php echo number_format($total_con_impser,2,".",",")?>"  type="text" ></td>
                        <td>&nbsp;</td>
                      </tr>
  
                      </tr>
                      <tr>
 <td colspan="3"><select id="cdgtipexo" name="cdgtipexo" class="comboGrande"  value""  onChange="redireccionar(this);"  disabled autofocus >
                              <?php
							
					
					  	$exoneracion="SELECT * FROM hac_tipo_exoneracion ";
                        $resultado = $mysqli->query($exoneracion) 
						?>
                              <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                              <option value="<?php echo  $fila["cdgtipexo"]?>"><?php echo  $fila["dsctipexo"]?></option>
                              <?php 
								} ?>
                          </select></td>
                        <td colspan="2"><input name="numdocexo" type="text" class="cajaGrande" id="numdocexo" size="17" maxlength="17" disabled=true  autocomplete= "off"  placeholder="Numero Documento" onFocus="siguienteCampo ='vehpla';"></td>
                        <td><input name="nominstexo" type="text" class="cajaGrande" id="nominstexo" size="40" maxlength="100" disabled=true  autocomplete= "off"   placeholder="Institucion Exonerada" onFocus="siguienteCampo ='vehpla';"></td>
                      </tr>
                      <tr>
                      <td colspan="3"><select id="cliexento" name="cliexento" class="cajaGrande"  onChange="valorexento(); habilitarexento() " >
                            <?php
					            
					        $artexe= 1;
                            $query_artexe = "SELECT * FROM tipocliente ORDER BY cdgtipcli ASC";
                            $result = $mysqli->query($query_artexe);
					  ?>
                            <?php
					 while ($fila = $result->fetch_assoc()) { 
					          if ($artexe ==  $fila["cdgtipcli"]) { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>" selected="selected"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } ;
								} ?>
                          </select></td>
                        <td colspan="2"><input name="destot"  class="cajaGrande" autocomplete= "off" type="text" size="8"  style='text-align:center;' id="destot"  placeholder="DCTO" onChange="aplicar_descuento()" onFocus=" siguienteCampo ='cdgbar';" ></td>
                        <td><select id="natdes" name="natdes"   class="comboGrande"  autofocus>
                              <?php
							
					
					  	$naturaleza="SELECT * FROM hac_naturaleza_descuento ";
                        $tipo_descuento = $mysqli->query($naturaleza) 
						?>
                              <?php
							while ($linea = $tipo_descuento ->fetch_assoc()) { ?>
                              <option value="<?php echo  $linea["dscnatdes"]?>"><?php echo  $linea["dscnatdes"]?></option>
                              <?php 
								} ?>
                          </select></td>
                      </tr>
                      
                      <tr>
                        <td width="45" rowspan="2"><span class="existencia_positiva"><img src="../img/Female_user_info_Icon_32.png" alt="Buscar" width="32" height="32" title="Buscar cliente" onClick="abreVentana()" onMouseOver="style.cursor=cursor"></span></td>
                        <td>&nbsp;</td>
                        <td colspan="4">&nbsp;</td>
                      </tr>
                      <tr>
                        <td width="98"><span class="existencia_positiva">
                          <input name="cdgcli"  style='text-align:center;'  type="text" class="cajaGrande" id="cdgcli"  maxlength="5"   autocomplete= "off" value="<?php echo $cdgcli ?>"  onChange="chequea(this,this.form.combotipoventa,dsccli); validarcliente(); "   onFocus=" chequea(this,this.form.combotipoventa,dsccli); siguienteCampo ='dsccli';  ">
                        </span></td> 	
                        <td colspan="4"><input name="dsccli" type="text"  value="<?php echo $dsccli  ?>"class="cajaGrande" id="dsccli" size="45" maxlength="45" disabled=true  autocomplete= "off"    onFocus="siguienteCampo ='vehpla';"></td>
                        <td colspan="5"  align="center"><img src="../img/Symbol-Delete_48x48-32.png" align="right" alt="Buscar" width="48" height="48" title="Cancelar" onClick="cancelar()" onMouseOver="style.cursor=cursor"></td>
                      </tr>
                      <tr>
                        <td colspan="6" class="existencia_positiva">COBRAR IMP. SERVICIO 
						  <?php
					
						  
						      if ($tipo_mesa=="ME"|| $tipo_mesa=="MES") {  ?>
                        <input  type="checkbox" id="chkimpser" name="chkimpser"  value="1"  onClick="buscar()"  onChange="buscar()" >
						  <?php    } else  {  ?>
						<input  type="checkbox" id="chkimpser" name="chkimpser"  value="1"  onClick="buscar()"  onChange="buscar()" >
					     <?php    }  ?>						</td>
                         <td colspan="5" class="existencia_positiva">SERVICIO DE RESTAURANTE
                             <input  type="checkbox" id="chkimpdet" name="chkimpdet"  value="1"   >
                         </span></td>
                      </tr>
                    </table>
					
				 </form >
				</div>
				
									  					<div id="bloquea" class="cargando" style="display:none;">
<img style="margin-left: 5%;margin-top: 15%" alt="Espere..." src="../img/procesando.gif" />

</div> 

<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					 <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
			 	  </iframe>
                      
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
                    
                    <iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
                    
                    <iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
					</iframe>
					
					   <iframe id="frame_datos5" name="frame_datos5" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos5" name="frame_datos5"></ilayer>
					</iframe>
                    
                       <iframe id="frame_datos6" name="frame_datos6" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos6" name="frame_datos6"></ilayer>
					</iframe>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>




 <?php    } else  {      ////    no encontro lineas en el pedido  ///////////////////////////      no realiza cambios   ///////////
 
 
echo "$filas_temporal"  ; 
echo "<br>"  ; 
echo "$codfacturatmp"  ; 
   
 ?>      
 
 
 
 
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
			function cancelar() {
			location.href="index.php";
		}
		
				function aceptar() {
			document.formulario.submit();
		}	
			
			
		</script>
	</head>
	<body>
		<div id="pagina">
			<div id="zonaContenido">
				<div align="center">
				  <p>&nbsp;</p>
				  <div id="tituloForm" class="header">ERROR</div>
				
				  <p>&nbsp;	</p>
				<form id="formulario" name="formulario" method="post" action="">
				<div id="formulario" class="contenido1">
					<table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td width="28%" rowspan="6"><img src="../img/Symbol-Delete_128x128-32.png"    border="0"  />					     </td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2"><div align="center"></div></td>
					  </tr>
						
						<tr>
						  <td>&nbsp;</td>
						  <td width="24%">&nbsp;</td>
						  <td width="46%">&nbsp;</td>
					  </tr>
						
						<tr>
						  <td width="2%">&nbsp;</td>
							<td colspan="2"><div align="center">VERIFIQUE LOS PRODUCTOS NO FUERON CARGADOS A LA CUENTA </div></td>
					    </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2"><div align="center">ERROR EN CONEXCION CON EL SERVER  </div></td>
					  </tr>
					</table>
			      <img src="../img/Symbol-Check_48x48-32.png"  onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir"></div>
			  <div id="botonBusqueda">
			  <input type="hidden" name="id" id="id" value="">
				</form>
		  </div>
		</div>
	</body>
</html>

 
 
 
     <?php    }  ?>			
 
					
					